package DB::Mysql;
our $VERSION = '1.0';

use strict;

sub new {
    return bless({}, ref($_[0]) || $_[0]);
}

sub get_pk_value {
    my $self = shift;
    my $dbh = shift or die("DB::Mysql::get_pk_value needs a Database Handel\n");
    ref($dbh) eq "DBI::db" or die("DB::sql::get_pk_value not given a database handel\n");

    my $query = "select last_insert_id()";
    my $sth = $dbh->prepare($query);
    $sth->execute();
    my $result = $sth->fetchrow_arrayref()->[0];
    $sth->finish;

    return $result;
}

1;
