package QUERY::Update;
our $VERSION = '1.0';
our @ISA = qw(QUERY::Query);

use QUERY::Query;
use strict;

sub _init {
    my ($self, %params) = @_;

    # Parameters
    $self->{"_table"} = $params{"table"};
    $self->{"_attributes"} = $params{"attributes"};

    
    # Attributes
    $self->{"_op"} = "update";

    my $counter = 1;
    foreach (@{$self->{"_attributes"}}) {
	$self->{"_vars"}->{$_} = [$counter++];
    }
    $self->{"_query"} = $self->create_query();
    return $self;
}

sub create_query {
    my $self = shift;

    return $self->{"_op"}." ".$self->{"_table"}." set ".join(",", map {"$_=?"} @{$self->{"_attributes"}}).($self->{"_where"}->empty() ? "" : " where ".$self->{"_where"}->create_clause());
}


    
