#!/usr/bin/perl -w
use strict;

use DB::db;
use TaxID::tax_id;

my %H = get_tax_id_hash(1);
my @tax_ids = keys %H;
for my $tax_id (@tax_ids) {
    system("./create_tables.pl $tax_id class-descriptions/search.tbl");
    open(IFILE, "SEARCH/search-contents.txt");
    
    my $dbh = DB::db::getDB(db => "Pgenes_$tax_id");
    while (<IFILE>) {
	chomp;
	s/\s*\#.*//;
	next unless $_;
	my ($name, $search_type, $search_method, $relations, $sample_generate, $value_type, $box_length, $value_table, $value_field) = split(/\s*\t+\s*/, $_);
	$value_field || die "add-contents.pl, bad line: $_\n";
	
	if ($value_type eq 'select') {
	    my $str = "insert into Search(name, search_type, search_method, relations, sample_generate, value_type, value_table, value_field)  values('$name', '$search_type', '$search_method', '$relations', '$sample_generate', '$value_type', '$value_table', '$value_field')";
	    $dbh->prepare($str)->execute();
	}
	else {
	    my $str = "insert into Search(name, search_type, search_method, relations, sample_generate, value_type, box_length)  values('$name', '$search_type', '$search_method', '$relations', '$sample_generate', '$value_type', $box_length)";
	    $dbh->prepare($str)->execute();
	}
	
    }
}
