package TOOLS::constants;
use strict;
require Exporter;

our $VERSION = '1.00';
our @ISA = qw(Exporter);
our @EXPORT = qw(DESCRIPTION_FILE PROTEIN_ID_TABLE FRAGMENT_RELATION_TABLE LIFTOVER FASTA_DIR SOURCE_TEMP TARGET_TEMP UNMAPPED_TEMP FASTA_VERSION);

##################################
# Constants for classes
use constant DESCRIPTION_FILE => "/data/cgi-bin/class-descriptions/";
use constant PROTEIN_ID_TABLE => "Protein_ID";
use constant FRAGMENT_RELATION_TABLE => "Fragment_to_Pgene";



##################################
# Executables
use constant LIFTOVER => "/data/cgi-bin/liftOver/liftOver";
use constant FASTA_DIR => "/data/cgi-bin/fasta/";
use constant FASTA_VERSION => "34";


##################################
# remap constants
use constant SOURCE_TEMP => "remap-source.tmp";
use constant TARGET_TEMP => "remap-target.tmp";
use constant UNMAPPED_TEMP => "remap-unmapped.tmp";

##################################
# fasta constants

##################################
# cache constants
use constant CACHE_DIR => "/data/cgi-bin/cache";
