package WEB::require;
require Exporter;

##############
# Simulate php require statements used in the main webpage.
# Each function returns the string needed to replace
#   the associated require statment

our @ISA = qw(Exporter);
our @EXPORT = qw(require_banner require_navigation);
our $VERSION = '1.0';

use constant BANNER => "../web/pgbanner.php";
use constant FOOTER => "../web/pgfooter.php";
use constant NAVIGATION => "../web/pgnavigation.php";

sub read_file {
    my $file = shift;
    open(IFILE, $file) || die("Bad file: $file");
    my $line = "";

    while (my $l = <IFILE>) {	
	$line .= $l;
    }

    close(IFILE);
    return $line;
}


sub require_banner {
    return read_file(BANNER);
}

sub require_navigation {
    return read_file(NAVIGATION);
}

