#!/usr/bin/perl -w
use genome;
use strict;

my ($file, $begin, $finish, $reverse) = @ARGV;

my $genome = genome->new($file);

my $str = $reverse ? $genome->get_reverse_complement($begin, $finish-$begin+1) : $genome->get_sequence($begin, $finish-$begin+1);
print "$str\n";
