#!/usr/bin/perl

use DBI;
use CGI qw(:all);
require humandb;

&printHeader;

print <<table;
<table border=0>
<tr align='center'> <th></th> <th align=bottom><span class='h1'><b>Rank Table</b></span>
</th></tr>
</table>
<p>
<font face="sans-serif, arial, helvetica">
<A href="javascript:PopUp('../human/help_rank.html', 800, 600, 60, 60)" ONCLICK="PopUp('./help.html', 1000, 600, 60, 60); return true;">Help</A> for this page
</font>
<br>
<p><font color="green" face="sans-serif,helvetica,arial" size=3pt>You can sort the table based on the occurrence of pseudogenes, protein length, or GC content of coding sequence. Click on the Access Number to view details.</font>
</p> 
table

@attributes = ("Rank", "Count","Access Number", "DB", "Entry Name", "Protein Len", "CDS GC", "Gene Name", "Protein Name");

print "<center>\n";
print "<table bgcolor=\#e3fdfa border=0 width=1250 cellpadding=5 cellspacing=1 >\n";

#display table headings
print "<tr bgcolor=\#eeeeee align=center>\n";
foreach $aa (@attributes) {
        print "<td><B><font size='-1' face='sans-serif,helvetica,arial'>$aa</font></td>\n";
}
print "</tr>\n";

#display the arrows
print "<tr align='center' bgcolor=\#eeeeee>";
print "<td></td>";


$que = param("que");
$element=param("element");

if (length($element)==0 && length($que)==0) {
	$element = "COUNT";
	$que = "asc";
}

if ($que eq 'asc') {
	if ($element eq 'COUNT') {
		print "<td><a href='./rank.cgi?element=COUNT&que=asc'><img border=0 src='../human/uparrow2.gif'></a></td>";
	}
	else { 
		print "<td><a href='./rank.cgi?element=COUNT&que=asc'><img border=0 src='../human/uparrow.gif'></a></td>"; 
	}
	print "<td></td><td></td><td></td>";
	if ($element eq 'Protein_len') {
		print "<td><a href='./rank.cgi?element=Protein_len&que=asc'><img border=0 src='../human/uparrow2.gif'></a></td>";
	}
	else {
		print "<td><a href='./rank.cgi?element=Protein_len&que=asc'><img border=0 src='../human/uparrow.gif'></a></td>";
	}
    if ($element eq 'CDS_GC_content') {
		print "<td><a href='./rank.cgi?element=CDS_GC_content&que=asc'><img border=0 src='../human/uparrow2.gif'></a></td>";
	}
	else {
		print "<td><a href='./rank.cgi?element=CDS_GC_content&que=asc'><img border=0 src='../human/uparrow.gif'></a></td>";
	}
    
    print "<td></td><td></td></tr>";
	print "<tr align='center' bgcolor=\#eeeeee>";
    print "<td></td>";
    print "<td><a href=\"./rank.cgi?&element=COUNT&que=desc\"><img border=0 src='../human/downarrow.gif'></a></td>";
	print "<td></td><td></td><td></td>";
	print "<td><a href='./rank.cgi?element=Protein_len&que=desc'><img border=0 src='../human/downarrow.gif'></a></td>";
	print "<td><a href='./rank.cgi?element=CDS_GC_content&que=desc'><img border=0 src='../human/downarrow.gif'></a></td>";
	print "<td></td><td></td></tr>";
}

else {
    
    
    print "<td><a href=\"./rank.cgi?element=COUNT&que=asc\"><img border=0 src='../human/uparrow.gif'></a></td>";
	print "<td></td><td></td><td></td>";
	print "<td><a href='./rank.cgi?element=Protein_len&que=asc'><img border=0 src='../human/uparrow.gif'></a></td>";
	print "<td><a href='./rank.cgi?element=CDS_GC_content&que=asc'><img border=0 src='../human/uparrow.gif'></a></td>";
	print "<td></td><td></td></tr>";
  
    print "<tr align='center' bgcolor=\#eeeeee>";
    print "<td></td>";
    if ($element eq 'COUNT') {
		print "<td><a href='./rank.cgi?element=COUNT&element=COUNT&que=desc'><img border=0 src='../human/downarrow2.gif'></a></td>";
	}
	else { 
		print "<td><a href='./rank.cgi?element=COUNT&element=COUNT&que=desc'><img border=0 src='../human/downarrow.gif'></a></td>"; 
	}
	print "<td></td><td></td><td></td>";
	if ($element eq 'Protein_len') {
		print "<td><a href='./rank.cgi?element=Protein_len&que=desc'><img border=0 src='../human/downarrow2.gif'></a></td>";
	}
	else {
		print "<td><a href='./rank.cgi?element=Protein_len&que=desc'><img border=0 src='../human/downarrow.gif'></a></td>";
	}
    if ($element eq 'CDS_GC_content') {
		print "<td><a href='./rank.cgi?element=CDS_GC_content&que=desc'><img border=0 src='../human/downarrow2.gif'></a></td>";
	}
	else {
		print "<td><a href='./rank.cgi?element=CDS_GC_content&que=desc'><img border=0 src='../human/downarrow.gif'></a></td>";
	}
    
    print "<td></td><td></td></tr>";
	
}   

print "</tr>";

$query = "select COUNT(*) as COUNT, Query, Secondary_AC, DB, DB_Name, Protein_len, CDS_len, CDS_GC_content, Gene_name, Protein_name, Synonyms, MIM, KW from pgenes1 Where (Class_new='PSSD1' OR Class_new='PSSD2') group by Query Order by $element $que";

@results = runSQLQuery("$query");
$page = param("page");
if ($page eq '') {
	$page = 1;
}

my $k = int @results/50 + 1;

%inter = &readinterPro;

if ($page < $k) {

	foreach $i(($page-1)*50 .. $page*50-1) { 
		$rank = $i+1;
		($count, $ac, $secondary, $DB, $DB_name, $protein_len, $CDS_len, $CDS_GC, $gene_name, $protein_name, $syn, $mim, $kw) = @{$results[$i]};
		if ($i % 2 == 0) { print "<tr bgcolor='#fde5e3' align='center'>";}
		else {  print "<tr color='#e3fdfa' align='center'>"; }
  
	    print  "<td><font size='-1' face='sans-serif,helvetica,arial'>$rank</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$count</font></td>", 
		   "<td><font size='-1' face='sans-serif,helvetica,arial'><A href='pgene.cgi?entry=$ac' target='_new'>$ac</A></font></td>",
		  # "<td ><font size='-1' face='sans-serif,helvetica,arial'>$secondary</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$DB</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$DB_name</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$protein_len</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$CDS_GC</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$gene_name</font></td>",
		   "<td width='500'><font size='-1' face='sans-serif,helvetica,arial'>$protein_name</font></td></tr>";
		   
	@inter = split /\.\s/, $inter{$ac}; 
			 
	foreach $interid (@inter) {
			 ($iprid, $name) = split /;/, $interid; 
			# print "<TR><TD><font size='-1' face='sans-serif,helvetica,arial'><a href=\"http://www.ebi.ac.uk/interpro/IEntry?ac=$iprid\" target='_new'>$iprid</a></font></TD></TR>";
	}
	
	}
}
else {
	foreach $i( ($page-1)*50 .. @results-1) { 
		$rank = $i+1;
		($count, $ac, $secondary, $DB, $DB_name, $protein_len, $CDS_len, $CDS_GC, $EBI_name, $gene_name, $protein_name, $syn, $mim, $kw) = @{$results[$i]};
		if ($i % 2 == 0) {
		   print "<tr bgcolor='#fde5e3' align='center'><FONT FACE='sans-serif, arial, Helvetica'>";
		}
		else {  
			print "<tr align='center'><FONT FACE='sans-serif, arial, Helvetica'>";
		}
		print  "<td><font size='-1' face='sans-serif,helvetica,arial'>$rank</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$count</font></td>", 
		   "<td><font size='-1' face='sans-serif,helvetica,arial'><A href='pgene.cgi?entry=$ac' target='_new'>$ac</A></font></td>",
		  # "<td width='50' align='center'><font size='-1' face='sans-serif,helvetica,arial'>$secondary</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$DB</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$DB_name</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$protein_len</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$CDS_len</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$CDS_GC</font></td>",
		   "<td><font size='-1' face='sans-serif,helvetica,arial'>$gene_name</font></td>",
		   "<td width='500'><font size='-1' face='sans-serif,helvetica,arial'>$protein_name</font></td></tr>";
		   
		
		@inter = split /\.\s/, $inter{$ac}; 
			 
		foreach $interid (@inter) {
			 ($iprid, $name) = split /;/, $interid; 
		#	 print "<TR><TD><a href=\"http://www.ebi.ac.uk/interpro/IEntry?ac=$iprid\" target='_new'>$iprid</a></TD></TR>";
		}
		
	}
}

print "</table>\n";
print "</center>\n";
print "<font face=\"sans-serif,helvetica,arial\">";
$prev = $page-1;
$next = $page+1;

if ($prev == 0) {
	print "<center>Previous page&nbsp;";
}
else {
	print "<center><a href=\"./rank.cgi?page=$prev&element=$element&que=$que\">Previous page</a>&nbsp;";
}
if ($page == $k) {
	print "&nbsp;Next page</font>&nbsp;";
}
else {
	print "&nbsp;<a href=\"./rank.cgi?page=$next&element=$element&que=$que\">Next page</font></a>&nbsp;";
}




print "<br><br><br>\n";
print "</body></html>";

