#!/usr/bin/perl -w
use strict;

use QUERY::query_factory;
use DB::db;

my $tax_id = "9606";

my $dbh = DB::db::getDB("db" => "Pgenes_$tax_id");

$dbh->prepare("delete from Sequence_Alignment where id > 7868")->execute();
$dbh->prepare("delete from Fragment where id > 7868")->execute();
$dbh->prepare("delete from Pseudogene where id > 7868")->execute();
$dbh->prepare("delete from Fragment_Version")->execute();
$dbh->prepare("delete from Pseudogene_Version")->execute();

my $sth1 = $dbh->prepare("insert into Fragment_Version(_acc,_version) values(?,1)");
my $sth2 = $dbh->prepare("insert into Pseudogene_Version(_acc,_version) values(?,1)");
for ((1..7868)) {
    $sth1->bind_param(1, $_);
    $sth1->execute();

    $sth2->bind_param(1, $_);
    $sth2->execute();
}

