package CLASSES::Fragment_Collection;
use strict;

use TOOLS::assert;
use QUERY::query_factory;
use CLASSES::Fragment;
use CLASSES::Collection;

our @VERSION = '1.0';
our @ISA = qw(CLASSES::Collection);

#-------------------------------------------------------------------------
# Required Functions
sub _cinit {
    my $self = shift;

    return $self;
}


#################
# Name: mapping_table
# Purpose: Return the name of the table mapping the collection to the object
sub collection_type() {
    return "Fragment";
}

#-------------------------------------------------------------------------
# Extra functions
sub content_compare() {
    my ($chr1, $chr2) = ($_[1]->get_chromosome->get_number(), $_[2]->get_chromosome()->get_number());
    if ($chr1 ne $chr2) {
	my ($isNum1, $isNum2) = map {$_ =~ /^\d+$/} ($chr1, $chr2);
	if ($isNum1 && $isNum2) {
	    return $chr1 <=> $chr2;
	}
	if ($isNum1) {
	    return -1;
	}
	if ($isNum2) {
	    return 1;
	}
	return $chr1 cmp $chr2;
    }

    return ($_[1]->get_coords())[0]<=>($_[2]->get_coords())[0] || ($_[1]->get_coords())[1]<=>($_[2]->get_coords())[1];
}

1;
