package QUERY::Remove;
our $VERSION = '1.0';
our @ISA = qw(QUERY::Query);

use QUERY::Query;
use strict;

sub _init {
    my ($self, %params) = @_;

    ($self->{"_where"} || $params{"all"}) or die("CLASSES::Remove::new: If now \"where\" object provided, then must provide an \"all\" parameters\n");

    $self->{"_op"} = "delete";
    $self->{"_table"} = $params{"table"};

    $self->{"_query"} = $self->create_query();
    return $self;
}

sub create_query {
    my $self = shift;

    return $self->{"_op"}." from ".$self->{"_table"}.($self->{"_where"}->empty() ? "" : " where ".$self->{"_where"}->create_clause());
}

