package QUERY::query_factory;
use strict;
use TOOLS::assert;
require Exporter;

use QUERY::SVSelect;
use QUERY::Select;
use QUERY::Insert;
use QUERY::Remove;
use QUERY::Update;


our @ISA = qw(Exporter);
our @EXPORT = qw(create_query);
our $VERSION = '1.0';

sub create_query {
    my %params = @_;
    my $type = $params{"type"};
    assert($type, "Must specify a query type");

    my $class = "QUERY\:\:$type";
    return $class->new(%params);
}
