#!/usr/bin/perl -w
use strict;

use DB::db;
use TaxID::tax_id;
use CLASSES::PFSet;

my $where = shift || 0;
my $command = shift || 0;

my %H = get_tax_id_hash(1);
my @tax_ids = keys %H;

for my $tax_id (@tax_ids) {
	next if $tax_id == 9606 or $tax_id == 10090 or $tax_id == 9598;
   	my $dbh = DB::db::getDB(db => "Pgenes_$tax_id");	
   	my @results = CLASSES::PFSet->get(dbh => $dbh);
	next if @results == 0;
   	my $list;	
	foreach my $set(@results){
		my $id = $set->get_id();
		$list .= " $id";  
	}
	my $command1 = "../create-cache.v2.pl $tax_id html $list";
	my $command2 = "../create-cache.v2.pl $tax_id gtf $list";
	my $command3 = "../create-cache.v2.pl $tax_id text $list";

	print "$command1\n";
	print "$command2\n";
	print "$command3\n";

	system("$command1");
	system("$command2");
	system("$command3");
}
