#!/usr/bin/perl -w
use strict;
use DB::db;
use CLASSES::PFSet;
use CLASSES::Pseudogene;

my ($set_file, $tax_id) = @ARGV;
my $dbh = DB::db::getDB(db=>"Pgenes_$tax_id");

open(IFILE, $set_file); 
my $where = <IFILE>;
$where = undef if $where =~ /\./; 
my @args;

my @P = CLASSES::Pseudogene->get(dbh=>$dbh, where=>$where);
my $name = <IFILE>; chomp($name); 
my $notes = <IFILE>; chomp($notes);
my $reference = <IFILE>; chomp($reference);
my $ref_address = <IFILE>; chomp($ref_address);


push(@args, ("dbh", $dbh, "pgene_list", \@P));

my $S = CLASSES::PFSet->new(dbh=>$dbh, name=>$name, notes=>$notes, reference=>$reference, ref_address=>$ref_address, pgene_list=>\@P);
$S->insert();
