#!/usr/bin/perl -w
use strict;
use DB::db;

my $prefix = "Pgenes_";

my ($tax_id, $file_name) = @ARGV;
my $dbh = DB::db::getDB("db" => $prefix.$tax_id);

open(IFILE, $file_name) || die("Class file not found\n");
<IFILE>;
my @arr = split(/\t+/, <IFILE>);
my $name = $arr[1];
chomp($name);

$dbh->prepare("drop table if exists $name")->execute();

my $query = "create table $name (";
while (<IFILE>) {
    chomp;
    s/\s*\#.*$//;
    next if ($_ eq "");
    my @arr = split(/\t+/);
    if ($arr[0] =~ /att/) {
	shift @arr;
    }
    elsif ($arr[0] =~ /index|fulltext/) {
	$arr[2] = "($arr[2])";
    }

    $query .= join(" ", @arr).",";
}
substr($query, length($query)-1, 1) = ");";

$dbh->prepare("$query")->execute();

