#!/usr/bin/perl -w
use strict;
use DB::db;
use CLASSES::PFSet;
use CLASSES::Pseudogene;
use CLASSES::Fragment;
use CLASSES::Build;
use ALIGNMENT::default_align;
use QUERY::query_factory;

my $tax_id = shift;
my $set_acc = shift;
my $dbh = DB::db::getDB(db=>"Pgenes_$tax_id");

my @P;
if ($set_acc) {
    my $S = CLASSES::PFSet->get_by_acc($dbh, $set_acc);
    @P = $S->get_pgenes();
}
else {
    @P = CLASSES::PFSet->get(dbh=>$dbh);
}

for (@P) {
    print $_->gtf_string();
}



