#!/usr/bin/perl -w
use strict;

use DB::db;

my $tax_id = shift;
my $build = shift;
my $protein_file = shift;
my $pgenes_dir = shift;

my $dbh = DB::db::getDB(db=>"Pgenes_$tax_id");
my $query = $dbh->prepare("select max(build_number) from Build");
$query->execute();
my $b = $query->fetchrow_arrayref()->[0];
$b == $build || die "Bad build addition -- current build is $b\n";

system("pipeline-addition/add_proteins.pl $tax_id $protein_file");
system("pipeline-addition/enter_org.pl $pgenes_dir $build $tax_id");
