#!/usr/bin/perl -w
use strict;

my $dir = shift;
my $build = shift;
my $tax_id = shift;
my $ex = "pipeline-addition/add_pgenes.pl";
my $temp = "$dir/all";

my @file_list;
for my $direction (('plus', 'minus')) {
   for my $file (<$dir/$direction/*.all.gff>) {
       push(@file_list, $file);
   }
}

my $str = "cat ".join(" ", @file_list)." > $temp.gff";
system($str);
$str =~ s/\.gff/\.fa/g;
system($str);

my $command = "$ex $build $tax_id $temp\.gff $temp\.fa";
system "$command\n";
