#!/usr/bin/perl -w
use strict;

use DB::db;
use CLASSES::PFSet;

my $tax_id = shift; 
my ($old_build, $new_build) = (shift, shift);
my $dbh = DB::db::getDB("db" => "Pgenes_$tax_id");

my @S = CLASSES::PFSet->get(dbh=>$dbh, where=>"build = $old_build and id!=5");
for my $S_old (@S) {
   my @P;
   my @P_old = $S_old->get_pgenes();

   for (@P_old) {
      my $P = CLASSES::Pseudogene->get_by_acc($dbh, $_->get_acc());
      push(@P, $P) if $P;
   }

   if (@P > 0) {	
      my $S = $S_old->new();
      $S->set_original_set($S_old->get_id()) unless $S_old->get_original_set();
      $S->_set_content(\@P, []);
      $S->set_build($new_build);
      $S->insert();
   }
}
