#!/usr/bin/perl -w
use strict;

#extract the tax id of an organism


package TOOLS::sequence_functions;
require Exporter;

our @ISA = qw(Exporter);
our @EXPORT = qw(complement reverse_complement get_mRNA);
our $VERSION = 1.00;

sub complement {
    my $str = shift;
    $str =~ tr/acgtACGT/tgcaTGCA/;
    return $str;
}

sub reverse_complement {
    return reverse complement @_;
}

sub get_mRNA {
    my $str = shift;
    $str =~ tr/acgtACGT/ugcaUGCA/;
    return $str;
}
